Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.owlapi
Class PelletVisitor

    java.lang.Object
      org.mindswap.pellet.owlapi.PelletVisitor

All Implemented Interfaces:
  org.semanticweb.owl.model.OWLAnnotationVisitor, org.semanticweb.owl.model.OWLAxiomVisitor, org.semanticweb.owl.model.OWLDataVisitor, org.semanticweb.owl.model.OWLDescriptionVisitor, org.semanticweb.owl.model.OWLEntityVisitor, org.semanticweb.owl.model.OWLObjectVisitor, org.semanticweb.owl.model.OWLPropertyExpressionVisitor, org.semanticweb.owl.model.SWRLObjectVisitor

    public class PelletVisitor

extends java.lang.Object
implements org.semanticweb.owl.model.OWLObjectVisitor

Title:

Description:

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Author:
  Evren Sirin

Field Summary
`static org.apache.commons.logging.Log` | `log`

Constructor Summary
`PelletVisitor(KnowledgeBase kb)`

Method Summary
`void` | `clear()` Clear the visitor cache about simple properties.
`ProgressMonitor` | `getMonitor()`
`boolean` | `isReloadRequired()`
`void` | `reset()` Reset the visitor state about created terms.
`aterm.ATermAppl` | `result()`
`void` | `setAddAxiom(boolean addAxioms)`
`void` | `setMonitor(ProgressMonitor monitor)`
`void` | `visit(org.semanticweb.owl.model.OWLAntiSymmetricObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLAxiomAnnotationAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLClass c)`
`void` | `visit(org.semanticweb.owl.model.OWLClassAssertionAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLConstantAnnotation annotation)`
`void` | `visit(org.semanticweb.owl.model.OWLDataAllRestriction restriction)`
`void` | `visit(org.semanticweb.owl.model.OWLDataComplementOf node)`
`void` | `visit(org.semanticweb.owl.model.OWLDataExactCardinalityRestriction restriction)`
`void` | `visit(org.semanticweb.owl.model.OWLDataMaxCardinalityRestriction restriction)`
`void` | `visit(org.semanticweb.owl.model.OWLDataMinCardinalityRestriction restriction)`
`void` | `visit(org.semanticweb.owl.model.OWLDataOneOf enumeration)`
`void` | `visit(org.semanticweb.owl.model.OWLDataProperty prop)`
`void` | `visit(org.semanticweb.owl.model.OWLDataPropertyAssertionAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDataPropertyDomainAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDataPropertyRangeAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDataRangeFacetRestriction node)`
`void` | `visit(org.semanticweb.owl.model.OWLDataRangeRestriction node)`
`void` | `visit(org.semanticweb.owl.model.OWLDataSomeRestriction restriction)`
`void` | `visit(org.semanticweb.owl.model.OWLDataSubPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDataType ocdt)`
`void` | `visit(org.semanticweb.owl.model.OWLDataValueRestriction restriction)`
`void` | `visit(org.semanticweb.owl.model.OWLDeclarationAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDifferentIndividualsAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDisjointClassesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDisjointDataPropertiesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDisjointObjectPropertiesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDisjointUnionAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLEntityAnnotationAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLEquivalentClassesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLEquivalentDataPropertiesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLEquivalentObjectPropertiesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLFunctionalDataPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLFunctionalObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLImportsDeclaration axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLIndividual ind)`
`void` | `visit(org.semanticweb.owl.model.OWLInverseFunctionalObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLInverseObjectPropertiesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLIrreflexiveObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLNegativeDataPropertyAssertionAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLNegativeObjectPropertyAssertionAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectAllRestriction restriction)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectAnnotation annotation)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectComplementOf not)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectExactCardinalityRestriction restriction)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectIntersectionOf and)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectMaxCardinalityRestriction restriction)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectMinCardinalityRestriction restriction)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectOneOf enumeration)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectProperty prop)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectPropertyAssertionAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectPropertyChainSubPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectPropertyDomainAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectPropertyInverse propInv)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectPropertyRangeAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectSelfRestriction restriction)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectSomeRestriction restriction)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectSubPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectUnionOf or)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectValueRestriction restriction)`
`void` | `visit(org.semanticweb.owl.model.OWLOntology ont)`
`void` | `visit(org.semanticweb.owl.model.OWLOntologyAnnotationAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLReflexiveObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLSameIndividualsAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLSubClassAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLSymmetricObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLTransitiveObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLTypedConstant constant)`
`void` | `visit(org.semanticweb.owl.model.OWLUntypedConstant constant)`
`void` | `visit(org.semanticweb.owl.model.SWRLAtomConstantObject cons)`
`void` | `visit(org.semanticweb.owl.model.SWRLAtomDVariable dvar)`
`void` | `visit(org.semanticweb.owl.model.SWRLAtomIndividualObject iobj)`
`void` | `visit(org.semanticweb.owl.model.SWRLAtomIVariable ivar)`
`void` | `visit(org.semanticweb.owl.model.SWRLBuiltInAtom atom)`
`void` | `visit(org.semanticweb.owl.model.SWRLClassAtom atom)`
`void` | `visit(org.semanticweb.owl.model.SWRLDataRangeAtom atom)`
`void` | `visit(org.semanticweb.owl.model.SWRLDataValuedPropertyAtom atom)`
`void` | `visit(org.semanticweb.owl.model.SWRLDifferentFromAtom atom)`
`void` | `visit(org.semanticweb.owl.model.SWRLObjectPropertyAtom atom)`
`void` | `visit(org.semanticweb.owl.model.SWRLRule rule)`
`void` | `visit(org.semanticweb.owl.model.SWRLSameAsAtom atom)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.commons.logging.Log log

Constructor Detail

### PelletVisitor

    public PelletVisitor(KnowledgeBase kb)

Method Detail

### clear

    public void clear()

  Clear the visitor cache about simple properties. Should be called before a reload.

### setAddAxiom

    public void setAddAxiom(boolean addAxioms)

### isReloadRequired

    public boolean isReloadRequired()

### result

    public aterm.ATermAppl result()

### reset

    public void reset()

  Reset the visitor state about created terms. Should be called before every visit so terms created earlier will not affect the future results.

### visit

    public void visit(org.semanticweb.owl.model.OWLClass c)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`
  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLEntityVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLIndividual ind)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLEntityVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectProperty prop)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLEntityVisitor`
  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLPropertyExpressionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectPropertyInverse propInv)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLPropertyExpressionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataProperty prop)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLEntityVisitor`
  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLPropertyExpressionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLTypedConstant constant)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDataVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLUntypedConstant constant)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDataVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataType ocdt)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDataVisitor`
  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLEntityVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectIntersectionOf and)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectUnionOf or)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectComplementOf not)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectOneOf enumeration)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectSomeRestriction restriction)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectAllRestriction restriction)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectValueRestriction restriction)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectExactCardinalityRestriction restriction)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectMaxCardinalityRestriction restriction)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectMinCardinalityRestriction restriction)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataExactCardinalityRestriction restriction)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataMaxCardinalityRestriction restriction)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataMinCardinalityRestriction restriction)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLEquivalentClassesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDisjointClassesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLSubClassAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLEquivalentObjectPropertiesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLEquivalentDataPropertiesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDifferentIndividualsAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLSameIndividualsAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataOneOf enumeration)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDataVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataAllRestriction restriction)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataSomeRestriction restriction)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataValueRestriction restriction)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLOntology ont)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLObjectVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectSelfRestriction restriction)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDescriptionVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDisjointObjectPropertiesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDisjointDataPropertiesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectPropertyChainSubPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDisjointUnionAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataComplementOf node)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDataVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataRangeRestriction node)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDataVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLAntiSymmetricObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLReflexiveObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLFunctionalObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLNegativeObjectPropertyAssertionAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataPropertyDomainAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLImportsDeclaration axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLAxiomAnnotationAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectPropertyDomainAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLNegativeDataPropertyAssertionAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectPropertyRangeAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectPropertyAssertionAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectSubPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDeclarationAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLEntityAnnotationAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLOntologyAnnotationAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLSymmetricObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataPropertyRangeAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLFunctionalDataPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLClassAssertionAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataPropertyAssertionAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLTransitiveObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLIrreflexiveObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataSubPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLInverseFunctionalObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLInverseObjectPropertiesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataRangeFacetRestriction node)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLDataVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectAnnotation annotation)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAnnotationVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLConstantAnnotation annotation)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAnnotationVisitor`

### visit

    public void visit(org.semanticweb.owl.model.SWRLRule rule)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`
  Specified by:
    `visit` in interface `org.semanticweb.owl.model.SWRLObjectVisitor`

### visit

    public void visit(org.semanticweb.owl.model.SWRLClassAtom atom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.SWRLObjectVisitor`

### visit

    public void visit(org.semanticweb.owl.model.SWRLDataRangeAtom atom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.SWRLObjectVisitor`

### visit

    public void visit(org.semanticweb.owl.model.SWRLObjectPropertyAtom atom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.SWRLObjectVisitor`

### visit

    public void visit(org.semanticweb.owl.model.SWRLDataValuedPropertyAtom atom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.SWRLObjectVisitor`

### visit

    public void visit(org.semanticweb.owl.model.SWRLSameAsAtom atom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.SWRLObjectVisitor`

### visit

    public void visit(org.semanticweb.owl.model.SWRLDifferentFromAtom atom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.SWRLObjectVisitor`

### visit

    public void visit(org.semanticweb.owl.model.SWRLBuiltInAtom atom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.SWRLObjectVisitor`

### visit

    public void visit(org.semanticweb.owl.model.SWRLAtomDVariable dvar)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.SWRLObjectVisitor`

### visit

    public void visit(org.semanticweb.owl.model.SWRLAtomIVariable ivar)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.SWRLObjectVisitor`

### visit

    public void visit(org.semanticweb.owl.model.SWRLAtomIndividualObject iobj)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.SWRLObjectVisitor`

### visit

    public void visit(org.semanticweb.owl.model.SWRLAtomConstantObject cons)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.SWRLObjectVisitor`

### getMonitor

    public ProgressMonitor getMonitor()

### setMonitor

    public void setMonitor(ProgressMonitor monitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.